commit:     d5a68641a8506b6538a2f839a2b5b7b1970f89f6
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 17 23:31:19 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Jan 18 09:40:33 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5a68641

sys-devel/autoconf: Port 2.13 to EAPI 6

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 sys-devel/autoconf/autoconf-2.13.ebuild              | 7 ++++---
 sys-devel/autoconf/files/autoconf-2.13-destdir.patch | 4 ++--
 sys-devel/autoconf/files/autoconf-2.13-gentoo.patch  | 8 ++++----
 3 files changed, 10 insertions(+), 9 deletions(-)

diff --git a/sys-devel/autoconf/autoconf-2.13.ebuild 
b/sys-devel/autoconf/autoconf-2.13.ebuild
index 4a48b2723e2..8f10539884d 100644
--- a/sys-devel/autoconf/autoconf-2.13.ebuild
+++ b/sys-devel/autoconf/autoconf-2.13.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="5"
+EAPI=6
 
 inherit toolchain-autoconf
 
@@ -27,7 +27,8 @@ PATCHES=(
 )
 
 src_configure() {
-       touch configure # make sure configure is newer than configure.in
+       # make sure configure is newer than configure.in
+       touch configure || die
 
        # need to include --exec-prefix and --bindir or our
        # DESTDIR patch will trigger sandbox hate :(

diff --git a/sys-devel/autoconf/files/autoconf-2.13-destdir.patch 
b/sys-devel/autoconf/files/autoconf-2.13-destdir.patch
index 858b8bcc1f7..47605af5f59 100644
--- a/sys-devel/autoconf/files/autoconf-2.13-destdir.patch
+++ b/sys-devel/autoconf/files/autoconf-2.13-destdir.patch
@@ -1,5 +1,5 @@
---- Makefile.in.orig   2004-10-20 16:44:54.949117496 -0400
-+++ Makefile.in        2004-10-20 16:45:39.999268832 -0400
+--- a/Makefile.in
++++ b/Makefile.in
 @@ -41,18 +41,18 @@
  
  transform=@program_transform_name@

diff --git a/sys-devel/autoconf/files/autoconf-2.13-gentoo.patch 
b/sys-devel/autoconf/files/autoconf-2.13-gentoo.patch
index 8e40d0cae04..44f09cba92f 100644
--- a/sys-devel/autoconf/files/autoconf-2.13-gentoo.patch
+++ b/sys-devel/autoconf/files/autoconf-2.13-gentoo.patch
@@ -1,5 +1,5 @@
---- configure.orig     Wed Feb 28 20:51:53 2001
-+++ configure  Wed Feb 28 20:52:03 2001
+--- a/configure
++++ b/configure
 @@ -654,12 +654,10 @@
    echo "$ac_t""no" 1>&6
  fi
@@ -16,8 +16,8 @@
  ac_aux_dir=
  for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
    if test -f $ac_dir/install-sh; then
---- configure.orig     Wed Feb 28 20:53:24 2001
-+++ configure.in       Wed Feb 28 20:53:28 2001
+--- a/configure.in
++++ b/configure.in
 @@ -14,12 +14,10 @@
  AC_PATH_PROG(PERL, perl, no)
  AC_SUBST(PERL)dnl

Reply via email to